Bug 29177 - Remove TODO in acqui/finishreceive.pl
Summary: Remove TODO in acqui/finishreceive.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marcel de Rooy
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks: 29202
  Show dependency treegraph
 
Reported: 2021-10-05 14:05 UTC by Marcel de Rooy
Modified: 2021-10-22 13:56 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29177: Remove TODO in acqui/finishreceive (1.45 KB, patch)
2021-10-05 14:07 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29177: Remove TODO in acqui/finishreceive (1.48 KB, patch)
2021-10-11 09:28 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2021-10-05 14:05:42 UTC
Trivial edit
Comment 1 Marcel de Rooy 2021-10-05 14:07:42 UTC
Created attachment 125738 [details] [review]
Bug 29177: Remove TODO in acqui/finishreceive

Replacing a multiple object->column(value) by ->update.
Comment 2 Marcel de Rooy 2021-10-05 14:08:19 UTC
Martin, did you have this in mind ?
Comment 3 Marcel de Rooy 2021-10-05 14:08:40 UTC
So trivial that I am signing off.
Comment 4 Katrin Fischer 2021-10-10 12:58:53 UTC
Leaving for Martin.
Comment 5 Martin Renvoize 2021-10-11 09:28:25 UTC
Created attachment 126035 [details] [review]
Bug 29177: Remove TODO in acqui/finishreceive

Replacing a multiple object->column(value) by ->update.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2021-10-11 09:30:22 UTC
A good improvement, all works as expected.

It did lead me to ask the question "Should the replacementprice field have the same date trigger treatment as itemlost, damaged and withdrawn fields?"

I think the answer is "yes", but I think that falls outside of the scope of this one, so I'm opening another bug and will link it here.
Comment 7 Martin Renvoize 2021-10-11 09:34:26 UTC
See bug 29202
Comment 8 Jonathan Druart 2021-10-12 09:19:23 UTC
Pushed to master for 21.11, thanks to everybody involved!